    /*
     *  call-seq:
     *     SpanNotQuery.new(include_query, exclude_query) -> query
     *
     *  Create a new SpanNotQuery which matches all documents which match
     *  +include_query+ and don't match +exclude_query+.
     */
    static VALUE
    frt_spanxq_init(VALUE self, VALUE rinc, VALUE rexc)
    {
        Query *q;
        Check_Type(rinc, T_DATA);
        Check_Type(rexc, T_DATA);
        q = spanxq_new(DATA_PTR(rinc), DATA_PTR(rexc));
        Frt_Wrap_Struct(self, &frt_spanxq_mark, &frt_q_free, q);
        object_add(q, self);
        return self;
    }